.is {
  &-flex-grow {
    flex-grow: 1;
  }
  &-space-between {
    justify-content: space-between;
  }

  &-200x200 {
    width: 200px;
    height: 200px;
  }

  &-256x256 {
    width: 256px;
    height: 256px;
  }
}

.has {
  @for $i from 1 through 10 {
    $space: $i * 4px !important;

    // Padding
    &-p-#{$i} {
      padding: $space;
    }
    &-pt-#{$i} {
      padding-top: $space;
    }
    &-pb-#{$i} {
      padding-bottom: $space;
    }
    &-pl-#{$i} {
      padding-left: $space;
    }
    &-pr-#{$i} {
      padding-right: $space;
    }
    &-ptb-#{$i} {
      padding-top: $space;
      padding-bottom: $space;
    }
    &-plr-#{$i} {
      padding-left: $space;
      padding-right: $space;
    }

    // Margin
    &-m-#{$i} {
      margin: $space;
    }
    &-mt-#{$i} {
      margin-top: $space;
    }
    &-mb-#{$i} {
      margin-bottom: $space;
    }
    &-ml-#{$i} {
      margin-left: $space;
    }
    &-mr-#{$i} {
      margin-right: $space;
    }
    &-mtb-#{$i} {
      margin-top: $space;
      margin-bottom: $space;
    }
    &-mlr-#{$i} {
      margin-left: $space;
      margin-right: $space;
    }
  }

  &-border {
    border: 1px solid $border-color !important;
  }
  &-border-top {
    border-top: 1px solid $border-color !important;
  }
  &-border-bottom {
    border-bottom: 1px solid $border-color !important;
  }
  &-border-left {
    border-left: 1px solid $border-color !important;
  }
  &-border-right {
    border-right: 1px solid $border-color !important;
  }

  &-gap {
    + .has-gap {
      margin-left: 8px;
    }
  }

  &-navbar-fixed-top {
    padding-top: 3.25rem;
  }

  &-tabbar-fixed-bottom {
    padding-bottom: 3.25rem;
  }

  &-text {
    &-red-1 {
      color: $red-lighter !important;
    }
    &-red-2 {
      color: $red-light !important;
    }
    &-red-3 {
      color: $red !important;
    }
    &-red-4 {
      color: $red-dark !important;
    }
    &-red-5 {
      color: $red-darker !important;
    }

    &-primary {
      color: $red !important;
    }
  }
}
